agent.h File Reference
`#include <core/trust/request.h>`
`#include <core/trust/tagged_integer.h>`
`#include <core/trust/visibility.h>`
`#include <cstdint>`
Include dependency graph for agent.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::trust::Agent
| Abstracts user-prompting functionality. More...
struct | core::trust::Agent::Registry
| Abstracts functionality for storing agent instances and associating them with a user id. More...
struct | core::trust::Agent::RequestParameters
| Summarizes all parameters for processing a trust request. More...

## Namespaces

| core
| core::trust
| Contains functionality for implementing Ubuntu's trust model.

## Functions

CORE_TRUST_DLL_PUBLIC bool | core::trust::operator== (const Agent::RequestParameters &lhs, const Agent::RequestParameters &rhs)
| Returns true iff lhs and rhs are equal. More...